# Script Data Type

Properties
name | data type | description
--- | --- | ---
name | string |
contents | string |
##### Properties inherited from OwnedObject
owner | string |
id | string |
timestamp | number |

Example

    {
      "name" : "config.sh",
      "contents" : "    #!/bin/bash\necho \"Reading system-wide config....\" >&2\\n. /etc/cool.cfg\nif [ -r ~/.coolrc ]; then\n  echo \"Reading user config....\" >&2\\n  . ~/.coolrc\\nfi",
      "owner" : "user1",
      "id" : "58e3946e0fb4f562d84ba1ad",
      "timestamp" : 12345
    }